#
# spec file for package firefox3-glib2 (Version 2.12.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           firefox3-glib2
BuildRequires:  gtkdoc pkgconfig
%define prefix /usr/%_lib/firefox
%define sysconfdir %{prefix}/etc
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
AutoReqProv:    off
Requires:       gnome-filesystem
Version:        2.12.4
Release:        0.7.19
Summary:        A Library with Convenient Functions Written in C
Url:            http://www.gtk.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/glib/2.12/glib-%{version}.tar.bz2
Source1:        glib2.sh
Source2:        glib2.csh
Patch0:         glib-mkinstalldirs.patch
Patch1:         glib-aclocal.patch
Patch2:         glib2-unexpanded-variables.patch
Patch3:         glib2-CVE-2008-4316.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define with_gtkdoc 0

%description
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package devel
License:        GPL v2 or later
Provides:       glib2dev
Requires:       %{name} = %version pkgconfig glibc-devel
Summary:        Include files and libraries mandatory for development
Group:          Development/Libraries/C and C++
AutoReqProv:    off

%description devel
This package contains all necessary include files, libraries,
configuration files and development tools (with manual pages) needed to
compile and link applications using the glib library.

The glib library provides convenient functions, such as lists and
hashes, to a C programmer and is used by Gtk+ and GNOME.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package doc
License:        GPL v2 or later
Provides:       glib2doc
Summary:        Documentation for the C Library with Convenience Functions
Group:          Development/Libraries/C and C++
AutoReqProv:    off
Requires:       gnome-filesystem

%description doc
This package contains additional documentation for the glib2 library.

This package is provided for Firefox back-port on SLE10.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%prep
%setup -q -n glib-%{version}
%patch0
%patch1
%patch2
%patch3 -p1

%build
export LD_LIBRARY_PATH=%{prefix}/%_lib:$LD_LIBRARY_PATH
export PKG_CONFIG_PATH=%{prefix}/%_lib/pkgconfig:$PKG_CONFIG_PATH
export PATH=%{prefix}/bin:$PATH
# %{?suse_update_config:%{suse_update_config -f}}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}	\
	--libdir=%{prefix}/%_lib\
	--mandir=%{prefix}/share/man\
	--enable-static		\
	--disable-visibility \
	%if %{with_gtkdoc}
	    --enable-gtk-doc
	%else
	    --disable-gtk-doc
	%endif
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/lib
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
#cp -a %{S:1} $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.sh
#cp -a %{S:2} $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.csh
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
rm -rfv $RPM_BUILD_ROOT%{prefix}/share/locale/no
rm -rfv $RPM_BUILD_ROOT%{prefix}/share/locale/tt
%find_lang glib20

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f glib20.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%dir %{prefix}
%dir %{prefix}/%_lib
%{prefix}/%_lib/lib*.so.*
#/etc/profile.d/zzz-glib2.*
%{prefix}/share/locale

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/glib-2.0
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/glib-2.0
%{prefix}/share/aclocal
%{prefix}/share/glib-2.0
%{prefix}/bin/*
%dir %{prefix}/bin
%dir %{prefix}/include
%dir %{prefix}/%_lib/pkgconfig
%doc %{prefix}/share/man

%files doc
%defattr(-,root,root)
%dir %{prefix}/share/
%dir %{prefix}/share/gtk-doc
%dir %{prefix}/share/gtk-doc/html
%{prefix}/share/gtk-doc/html/glib
%{prefix}/share/gtk-doc/html/gobject

%changelog
* Mon Jul 13 2009 pwu@suse.de
- Add glib2-CVE-2008-4316.patch to fix potential overflows.
  This fixes bnc#449927 and addresses CVE-2008-4316.
* Tue Jun 23 2009 lrupp@suse.de
- disable autoreqprov in baselibs.conf
* Mon Jun 22 2009 kukuk@suse.de
- Add baselibs.conf
* Wed Jun  3 2009 pwu@suse.de
- Imported glib2 2.12.4 from openSUSE 10.2,
  and rename it to firefox3-glib2 to back port Firefox 3.0 for SLE10.
